Start Organization Plugin Install
curl --request POST \
--url https://api.replicas.dev/v1/plugins/{pluginId}/oauth/start \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.replicas.dev/v1/plugins/{pluginId}/oauth/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.replicas.dev/v1/plugins/{pluginId}/oauth/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authorizationUrl": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "INSUFFICIENT_MINUTES"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}Plugins
Start Organization Plugin Install
Creates a hosted authorization URL, using a Composio Connect Link or the plugin’s native OAuth flow, that installs the plugin for the whole organization. Requires an organization admin. Returns 400 when the plugin uses a Replicas credential form, and 409 when the plugin is already installed for the organization; uninstall it before reconnecting.
POST
/
v1
/
plugins
/
{pluginId}
/
oauth
/
start
Start Organization Plugin Install
Authorizations
API key authentication. Obtain your API key from the Replicas dashboard under Organization → Settings → API Keys.
Path Parameters
Catalog identifier of the plugin.
Available options:
attio, calendly, clickhouse, cloudflare, e2b, gmail, googleads, googledocs, googledrive, googlesearch, googlesheets, linkedin, modal, posthog, planetscale, stripe, pangram, vercel, turbopuffer, vanta, notion, jira, confluence, googlecalendar, microsoftteams, outlook, bitbucket, datadog, pagerduty, intercom, zendesk, hubspot, supabase, figma, launchdarkly, asana, clickup, trello, todoist, airtable, coda, miro, sharepoint, onedrive, googleslides, googlemeet, granola, googletasks, dropbox, box, discord, discordbot, zoom, googlechat, newrelic, betterstack, incidentio, grafana, honeycomb, bugsnag, circleci, buildkite, dockerhub, digitalocean, railway, render, firebase, cloudinary, configcat, contextdev, googleanalytics, googlebigquery, amplitude, mixpanel, segment, supermemory, databricks, snowflake, algolia, elasticsearch, salesforce, pipedrive, close, apollo, gong, freshdesk, helpscout, servicenow, mailchimp, customerio, klaviyo, shopify, quickbooks, xero, brex, buffer, canva, webflow, firecrawl, browserbase, exa, youtube, twitter, instagram, facebook Response
Plugin authorization URL
⌘I